Badger::Data::Facet::List::MaxSize(3pm)

NAME
Badger::Data::Facet::List::MaxSize - validation facet for the size of a list

DESCRIPTION
This module implements a validation facets that checks the size of a list to assert that it is equal to or above a certain size in terms of items it contains.

METHODS
This module implement the following method in addition to those inherited from the Badger::Data::Facet::List, Badger::Data::Facet and Badger::Base base classes.

  validate($list_ref, $type)
This method validates that the size of the list (i.e. number of elements) passed by reference as the first argument is less than or equal to the pre- defined maximum limit.

AUTHOR
Andy Wardley <http://wardley.org/>

COPYRIGHT
Copyright (C) 2008-2012 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Badger::Base, Badger::Data::Facet, Badger::Data::Facet::List.